@property --gradient-top {
	syntax: '<color>';
	inherits: true;
	initial-value: #FF4A6D;
}

@property --gradient-bottom {
	syntax: '<color>';
	inherits: true;
	initial-value: #D73156;
}

@property --gradient-light {
	syntax: '<color>';
	inherits: true;
	initial-value: #FF98AC;
}

/* Kleuren JFC Huisstijl */
:root {
	--lichtblauw: #71E0FF;
	--blauw: #5DBAD4;
	--donkerblauw: #0996BE;
	--lichtroze: #FF98AC;
	--roze: #FF4A6D;
	--donkerroze: #D73156;
	--lichtoranje: #FEE2A3;
	--oranje: #FDB106;
	--donkeroranje: #F3831C;
	--paars: #500B75;
	--fuchsia: #D31A43;
	--wit: #FFFFFF;
	--zwart: #000000;

	--gradient-top: var(--roze);
	--gradient-bottom: var(--donkerroze);
	--gradient-light: var(--lichtroze);
}


/* Animeren van de views */
/* Views: alleen de actieve is zichtbaar */
.view {
	display: none;
}

@keyframes zoomIn {
    from {
        opacity: 0;
        transform: scale(0.92);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

.view.active {
    display: block;
    animation: zoomIn 0.8s ease-out forwards;
}

/* Animeren Footer */

@keyframes slideUpFooter {
    from {
        opacity: 0;
        transform: translateY(100px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.footer-animate {
    animation: slideUpFooter 0.5s ease-out forwards;
}

/* Body */
body {
	background: linear-gradient(to bottom, var(--gradient-top) 50%, var(--gradient-bottom) 100%);
	background-size: cover;
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-position: center;
	margin: 0;
	font-family: 'Montserrat', sans-serif;
	transition: --gradient-top 1.5s ease, --gradient-bottom 1.5s ease, --gradient-light 1.5s ease;
}

/* Zorgt dat de iconen vervaagd staan */
body::before {
	content: "";
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-image: url('background-icons.png');
	background-size: cover;
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-position: center;
	z-index: -1;
	opacity: 0.5;
}


/* Header & Logo */

.header {
	display: block;
	z-index: 1;
	width: 100%;
	margin-top: 10px;
}

img.tekstvlak {
	content: url(wittekstvlak.png);
	background-color: transparent;
	width: 20%;
}

img.tekstvlak-fixed {
	content: url(wittekstvlak.png);
	background-color: transparent;
	width: 20%;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 10;
}


/* Content vlak index pagina's */
.content {
	position: relative;
	z-index: 1;
	padding: 20px;
	margin: 50px auto;
	max-width: 800px;
	background-color: rgba(255, 255, 255, 0.90);
	border-radius: 20px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	line-height: 1.6;
	color: #333;
}

.content-vragen {
	position: relative;
	z-index: 1;
	padding: 20px;
	margin: 50px auto;
	max-width: 1000px;
	background-color: rgba(255, 255, 255, 0.95);
	border-radius: 20px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	line-height: 1.6;
	color: #333;
}


/* Tekst elementen */
h1 {
	color: #FDB106;
	text-align: center;
	text-shadow: 2px 2px gray;
	font-family: 'Boston', sans-serif;
}

h1.index {
	font-weight: bold;
	color: #FFFFFF;
}

h1.less-shadow {
	text-shadow: 0px 0px gray;
}

label {
	display: inline;
	text-align: left;
}

/* Stijlen voor de feedback iconen */

.feedback-icon {
	display: none;
	font-size: 1.25rem;
}

.correct .feedback-icon.correct-icon {
	display: inline;
	color: #22c55e;
}

.incorrect .feedback-icon.incorrect-icon {
	display: inline;
	color: #ef4444;
}


/* Stijlen voor de info tooltip */
.info-icon-container {
	display: none;
	position: relative;
	cursor: pointer;
}

.incorrect .info-icon-container {
	display: block;
}

.info-icon {
	color: var(--donkeroranje);
	font-weight: bold;
	border: 2px solid var(--donkeroranje);
	border-radius: 50%;
	width: 20px;
	height: 20px;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 14px;
}

.info-tooltip {
	visibility: hidden;
	width: 220px;
	background-color: var(--donkeroranje);
	color: #fff;
	text-align: center;
	border-radius: 6px;
	padding: 8px;
	position: absolute;
	z-index: 1;
	bottom: 125%;
	left: 50%;
	margin-left: -110px;
	/* Helft van de breedte */
	opacity: 0;
	transition: opacity 0.3s;
}

.info-tooltip::after {
	content: "";
	position: absolute;
	top: 100%;
	left: 50%;
	margin-left: -5px;
	border-width: 5px;
	border-style: solid;
	border-color: #1f2937 transparent transparent transparent;
}

.info-icon-container:hover .info-tooltip {
	visibility: visible;
	opacity: 1;
}


/* Knoppen & Links */
a {
	text-decoration: none;
}

.button {
	background-color: var(--wit);
	color: var(--zwart);
	backdrop-filter: blur(10px);
	border-radius: 8px;
	padding: 20px;
	text-align: center;
	position: relative;
	width: 100%;
	max-width: 400px;
}

.button:hover {
	background-image: linear-gradient(to bottom, var(--gradient-top), var(--gradient-bottom));
	color: var(--wit);
	font-weight: bold;
}

.button:active {
	background-image: linear-gradient(to bottom, var(--wit), var(--gradient-light));
	color: var(--gradient-bottom);
}

/* Huisstijl Kleuren JFC */
.lichtblauw {
	color: var(--lichtblauw);
}

.blauw {
	color: var(--blauw);
}

.donkerblauw {
	color: var(--donkerblauw);
}

.lichtroze {
	color: var(--lichtroze);
}

.roze {
	color: var(--roze);
}

.donkerroze {
	color: var(--donkerroze);
}

.lichtoranje {
	color: var(--lichtoranje);
}

.oranje {
	color: var(--oranje);
}

.donkeroranje {
	color: var(--donkeroranje);
}

.fuchsia {
	color: var(--fuchsia);
}

.paars {
	color: var(--paars);
}